Bug 123954 - (NET SK98LIN) sk98lin module fails
(NET SK98LIN) sk98lin module fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 19:09 EDT by Martin Blom
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Blom 2004-05-21 19:09:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040510

Description of problem:
After an upgrade from FC1 (AMD64), my 3Com Corporation 3c940
10/100/1000Base-T [Marvell] (rev 12) no longer works.

It's the onboard ethernet controller on the Albatron K8X800 mainboard.

From /var/log/messages:

May 22 00:18:46 lisa kernel: sk98lin: Network Device Driver v6.23
May 22 00:18:46 lisa kernel: (C)Copyright 1999-2004 Marvell(R).
May 22 00:18:46 lisa kernel: eth0: 3Com Gigabit LOM (3C940)
May 22 00:18:46 lisa kernel:       PrefPort:A  RlmtMode:Check Link State
May 22 00:18:46 lisa kernel: Module sk98lin cannot be unloaded due to
unsafe usage in drivers/net/sk98lin/skge.c:792

Here is what it used to look like (FC1):

May 21 20:47:01 lisa kernel: sk98lin: Network Device Driver v6.15
May 21 20:47:01 lisa kernel: (C)Copyright 1999-2003 Marvell(R).
May 21 20:47:01 lisa kernel: eth1: 3Com Gigabit LOM (3C940)
May 21 20:47:01 lisa kernel:       PrefPort:A  RlmtMode:Check Link State
[...]
May 21 20:47:02 lisa kernel: sk98lin: Network Device Driver v6.15
May 21 20:47:02 lisa kernel: (C)Copyright 1999-2003 Marvell(R).
May 21 20:47:02 lisa kernel: eth1: 3Com Gigabit LOM (3C940)
May 21 20:47:02 lisa kernel:       PrefPort:A  RlmtMode:Check Link State
May 21 20:47:02 lisa kernel: eth1: network connection up using port A
May 21 20:47:02 lisa kernel:     speed:           1000
May 21 20:47:02 lisa kernel:     autonegotiation: yes
May 21 20:47:02 lisa kernel:     duplex mode:     full
May 21 20:47:02 lisa kernel:     flowctrl:        symmetric
May 21 20:47:02 lisa kernel:     role:            slave
May 21 20:47:02 lisa kernel:     scatter-gather:  enabled


Version-Release number of selected component (if applicable):
2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. Boot
2.
3.
    

Actual Results:  No network!

Expected Results:  Network!

Additional info:
Comment 1 Arjan van de Ven 2004-05-22 02:58:23 EDT
May 22 00:18:46 lisa kernel: eth0: 3Com Gigabit LOM (3C940)
May 22 00:18:46 lisa kernel:       PrefPort:A  RlmtMode:Check Link State

well it found eth0... 
while it was eth1 in fc1... are you sure the networking config for
eth0 is right ?
Comment 2 Martin Blom 2004-05-22 04:42:29 EDT
Yes, sorry, but I'm sure. I had to change my network configuration in
order to file the bug. :-)

(I have an RTL8029 PCI card in the system as well, connecting just one
old Amiga 4000 via coax. This card still works, so I swapped
configurations and the cable, and now use this card as my main
interface towards the rest of the LAN and the internet.)
Comment 3 manuel wolfshant 2004-07-12 09:24:21 EDT
Just tried to use sk98lin on a Asus A7N8X-E motherboard, which has an
onboard Gigabit interface in addition to the one provided by the
NForce chipset. With kernel 2.6.5-358 it works ok.
However, with kernel 2.6.6-1-435.2.3 it does not. The module loads, in
dmesg the following message appears:

sk98lin: Network Device Driver v6.23
(C)Copyright 1999-2004 Marvell(R).
divert: allocating divert_blk for eth0
eth0: Yukon Gigabit Ethernet 10/100/1000Base-T Adapter
      PrefPort:A  RlmtMode:Check Link State
Module sk98lin cannot be unloaded due to unsafe usage in
drivers/net/sk98lin/skge.c:792
The link with the switch is established, but there is absolulety no
traffic through the interface, not even ARP.

lspci identifies the card as:
01:04.0 Ethernet controller: Marvell Yukon Gigabit Ethernet
10/100/1000Base-T Adapter (rev 13)

As i sidenote, I have the feeling that the new kernel swaps eth0 and
eth1. I have tried all possible configurations, including switching
cables, but the Gigabit intetface seems to not allow traffic through.
Comment 4 Zenon Mousmoulas 2004-09-09 15:42:10 EDT
I have noticed similar symptoms on a (infamous) Asus P4P800
motherboard with a 3Com Gigabit LOM (3C940) onboard ethernet interface.

It goes like this: When booting with kernels up to and including
2.6.6-1.435.2.3 there are no problems, or any logged errors or warnings.
With kernels 2.6.7-1.494.2.2 and 2.6.8-1.521 I still do not see any
errors or obvious problems, however the interface's performance drops
significantly: tcp throughput is ridiculously slow, down to a crawl,
always on the same LAN. This behavior occurs both with SMP and UP kernels.
The only other thing I notice is that lsmod shows that sk98lin is used
by [unsafe] and can not be unloaded.

I hope this helps, even if it's not so specific...

Comment 5 Dave Jones 2005-04-16 01:08:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 6 Martin Blom 2005-04-16 04:09:57 EDT
Yup, FC3 did not have this problem (at least not on my system).

Note You need to log in before you can comment on or make changes to this bug.